Page MenuHomePhabricator

Wrap-up GSoC 2014 and FOSS OPW round 8
Closed, ResolvedPublic

Description

We still haven't wrapped up GSoC 2014 and FOSS OPW round 8. Creating a task to formalize this process (so we can reuse it in future editions) and keep track of the progress.

The checklist:

  • All interns have published a wrap-up report (source: GSoC 2014 and FOSS OPW round 8)
    • Pratik Lahoti
    • Jatin Mehta
    • Amanpreet Singh
    • Tony Thomas
    • Rohit Dua
    • Aaron Xiao
    • Aditya Chaturvedi
    • Wen-Chien Chen
    • Deepali Jain
    • kondi
    • Hardik Juneja
    • Kunal Grover
    • Jack Phoenix
    • Vikas S Yaligar
    • Bartosz Dziewoński
    • Rillke
    • Marielle Volz
    • Jaime Lyn Schatz
    • Dinu Kumarasiri
    • Frances Hocutt
    • Helen Albert
    • Ali King
    • Anjali Sharma
  • GSoC Past Projects and Outreachy Past Projects pages updated.
  • All interns have been invited to present a Tech Talk and to continue contributing as volunteers.
  • Interns looking for work have been introduced to Wikimedia Foundation Human-Resources .
  • Invite them to propose Google Code-in tasks to finish their projects, and become mentors.

Anything else?

Event Timeline

Qgil created this task.Oct 20 2014, 3:08 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil triaged this task as Normal priority.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Nemo_bis, Rfarrand.
Qgil updated the task description. (Show Details)Oct 20 2014, 3:44 PM
Qgil claimed this task.Oct 20 2014, 7:55 PM
Qgil raised the priority of this task from Normal to High.Oct 21 2014, 2:18 AM
Qgil updated the task description. (Show Details)Oct 25 2014, 10:20 PM
Qgil added a comment.EditedOct 31 2014, 4:23 PM

I just sent an email to all GSoC & OPW participants covering the points above.

The email is available in Messages to candidates for future recycling.

Next: ping those that haven't linked their wrap-up report and update https://www.mediawiki.org/wiki/Google_Summer_of_Code_past_projects

Qgil updated the task description. (Show Details)Oct 31 2014, 4:24 PM
Qgil updated the task description. (Show Details)Nov 3 2014, 1:25 PM
Qgil added subscribers: matmarex, Rillke, 01tonythomas and 2 others.
Qgil lowered the priority of this task from High to Normal.Nov 4 2014, 7:59 AM

I will keep chasing former interns and will archive everything properly during November, but I need to lower the priority because I'm quite swamped with the Phabricator launch plus the new wave of interns & students (T564 and T561).

Former interns and former mentors: your help assuring that your former project gets a proper wrap-up post is welcome! :)

Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.Nov 4 2014, 8:12 AM

Either this is closed, or it's not blocking T561... Comment 0 is very depressing. :(

Qgil added a comment.Nov 19 2014, 8:57 AM

The part that made it a blocker for T561 was completed several weeks ago (inviting these interns to become mentors, an invitation that some have followed).

The HR part was completed as well, I will remove the project.

I'm not proud of this situation, but I simply didn't have time to chase all the students and document the final status in Past Projects. I'm not giving up, though.

I simply didn't have time to chase all the students and document the final status in Past Projects. I'm not giving up, though.

As a mentor, I share the "guilt": please let us know if/how we can help in a coordinated fashion.

Qgil added a comment.Nov 19 2014, 9:43 AM

The collaborative solution is pretty simple. I don't need to be the bottleneck if all mentors ask their former interns to

  • publish a wrap-up post
  • add their entry to GSoC Past Projects (negotiable for FOSS OPW since there is no wiki page; I can do this later)
  • check their box in the description above

@Nemo_bis, thank you very much for helping pushing this task. You know, it is easier to find the time when someone else is actively interested.

wctaiwan updated the task description. (Show Details)Nov 26 2014, 3:50 AM
Qgil moved this task from Backlog to Ready To Go on the ECT-January-2015 board.Feb 2 2015, 7:20 AM
Qgil moved this task from Backlog to Ready To Go on the ECT-February-2015 board.Feb 3 2015, 7:54 PM
Niharika claimed this task.Feb 11 2015, 6:51 PM

I created https://www.mediawiki.org/w/index.php?title=Outreachy/OPW_past_projects to keep up with Outreachy/OPW past projects. Still a draft.

GSoC past projects page looks pretty much updated.

Qgil moved this task from Ready To Go to Doing on the ECT-February-2015 board.Feb 24 2015, 4:51 PM

This task was part of ECT-March-2015, and it is still open and assigned. Assuming that it belongs to ECT-April-2015 as well. Otherwise please edit accordingly.

Niharika updated the task description. (Show Details)Apr 16 2015, 6:11 AM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 16 2015, 9:56 AM

I sent another email to the students asking them to file their wrap-up reports a week ago and there have not yet been any further updates on that front. Not one more person linked it on that table. I'm not sure there's any point in chasing them further. They won't do it.

As a lesson from this, I intend to make it mandatory for every student to file a task for their wrap-up report (unless we are doing it on wiki again?) and add it as a blocker to a tracking task for wrap-up reports in order to be eligible for final evaluations. It's quite possible that they don't actually finish up their projects by that deadline, but we'd at least have a report which is more or less complete. (I'd write down concrete details about this and circulate an email to students once they are selected).
Please let me know if I'm getting carried away here. I'm sure there must be good reasoning behind the current process we follow.

@Qgil, off-topic question - Is it possible and is it a good idea to give away Wikipedia T-shirts to successful students after the round ends?

In T717#1232242, @NiharikaKohli wrote:

I sent another email to the students asking them to file their wrap-up reports a week ago

Which was the subject? I get a lot of junk, mailing list stuff (especially when people quote a whole digest) and Cron and Phabricator e-Mails so it might have gone strait forward from junk to the trash.

Not one more person linked it on that table.

Apologies for that. Would you mind posting your whole e-Mail here for reference?

In T717#1232242, @NiharikaKohli wrote:

I sent another email to the students asking them to file their wrap-up reports a week ago

Which was the subject? I get a lot of junk, mailing list stuff (especially when people quote a whole digest) and Cron and Phabricator e-Mails so it might have gone strait forward from junk to the trash.

Subject: "Error: GSoC Wrap-Up report could not be found"

Not one more person linked it on that table.

Apologies for that. Would you mind posting your whole e-Mail here for reference?

Sure.

Hello everyone!

You need not read any further if you have made a GSoC 2014 wrap-up report && linked it against your name here (https://www.mediawiki.org/wiki/Google_Summer_of_Code_2014) && the linked report is not empty.

If you're still reading, then I assume you have either not made a GSoC 2014 wrap-up report or you haven't linked it in the table, or both. :(

After every round, a lot of precious GSoC work goes down the drain because nobody has any idea what the status of the project is and much time is lost figuring out what's complete and what needs to be done.

We need your help to fix this situation!

We need you to write a wrap-up report for your project and link it in the table. It needn't be long. It can be a heading under your Progress Report page. It should mention the current status of the project, what was completed by you and what tasks need to be completed. Include all helpful links so anyone browsing the report knows where to look for the code, blog posts etc.

How we wish all wrap-up reports were like: https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector/Fonts_for_Chinese_wikis/final_post

The more realistic expectation: https://www.mediawiki.org/wiki/VERP/GSOC_Progress_Report#GSoC_Project_Wrap_Up_report

Looking forward to reading all of your wrap-up reports and wishing you all the best in your future endeavors.

Thank you!

@Rillke, you'd have probably not received my email as I couldn't find your email address via your user page. But glad you saw this. Kindly add your wrap-up report to the page I linked above. It'd be a great help. Thanks!

Qgil added a comment.Apr 24 2015, 7:34 AM
In T717#1232242, @NiharikaKohli wrote:

I sent another email to the students asking them to file their wrap-up reports a week ago and there have not yet been any further updates on that front. Not one more person linked it on that table. I'm not sure there's any point in chasing them further. They won't do it.

We can still ping the mentors, who were co-responsible.

Let's see, what really matters is that we keep a report of the final status of the project at https://www.mediawiki.org/wiki/Google_Summer_of_Code_past_projects#2014 and https://www.mediawiki.org/wiki/Outreachy/Past_projects#Round_9, including

  • One sentence description of the final status of the project when the program ended. Completed? Mostly ok but with some open issues? Incompleted or failed?
  • Links to the final results, the source code created, the project or main report... the idea being that anybody willing to continue that effort knows where to start.
  • A wrap-up blog post is desirable, but if today it does not exist, realistically speaking it will not be written now.

As soon as each project is minimally covered, you can close this task.

As a lesson from this, I intend to make it mandatory for every student to file a task for their wrap-up report (unless we are doing it on wiki again?) and add it as a blocker to a tracking task for wrap-up reports in order to be eligible for final evaluations. It's quite possible that they don't actually finish up their projects by that deadline, but we'd at least have a report which is more or less complete.

This is what we have already done in Outreach-Program-For-Women-9 -- see https://www.mediawiki.org/wiki/Outreach_programs/Evaluation_criteria and the blockers of T88262.

(I'd write down concrete details about this and circulate an email to students once they are selected).

I really need to finish T1036: One-pager for successful GSoC / FOSS OPW interns on time! Instead of flooding candidates and mentors with a dozen URLs, we can offer them a single guide for the whole process, since the early days when they are consider to apply / volunteers to the conclusion of the program.

Please let me know if I'm getting carried away here. I'm sure there must be good reasoning behind the current process we follow.

I think what you are recommending is spot on, and it is already included in the process. It's just that we didn't have it a year ago for the round this task is about. It was a lesson learned that is being applied now.

@Qgil, off-topic question - Is it possible and is it a good idea to give away Wikipedia T-shirts to successful students after the round ends?

Great idea! Added to T88262.

Niharika updated the task description. (Show Details)Jun 7 2015, 1:06 PM
Qgil added a comment.Jun 28 2015, 8:52 AM

What is missing to complete this wrap-up? At this point, I think we just need to be pragmatic and take the quickest efficient way to solve this task.

In T717#1408072, @Qgil wrote:

What is missing to complete this wrap-up?

  • Wrap-up reports by students
  • Outreachy project page for Round 8 updated
  • Introduction of students to HR.

Only one student bothered to write a wrap-up report after my email.

I think the realistic way to do this would just be updating the Round 8 on Outreachy page - that would involve some amount of mentor & student involvement.

Off topic question: @Qgil, in my experience students tend to stay involved for long with the same organization if they have the chance of participating again in the same organization. Although I like our policy about not accepting repeats, it does lead to more students wandering off to other organizations after the internship ends.
Is it possible to have a middle-path here - say, we accept at least 5 newcomers every round? Or something along those lines?

Qgil added a comment.Jun 29 2015, 5:31 PM

I think this questions deserves a mentor / community discussion. All Wikimedia policies can be changed by better Wikimedia policies if there is consensus. :)

Mvolz added a comment.Jun 29 2015, 6:41 PM

I'm wondering if maybe some students think they've met this requirement, or actually have already and it's not been recorded in the checklist?

I've not been checked off the list here, but I did both a wrap up report and a wrap up blog post at the time of the internship so I've largely thought this post did not apply to me, until I noticed my name wasn't checked off today.

My wrap-up report was contained within the weekly reports link from the OPW page. I can't speak for GSoC, but I've checked two of my fellow participants pages in OPW that are not checked off here, and they do indeed have both final blog posts as well as final reports on the wiki under weekly reports as well. I notice that no OPW students have been checked off on the list here, and I think it's because we were all operating under the same assumption that the final report went with our weekly reports, which is linked to from the wiki page listed above. The blogroll for OPW as a whole is here: https://wiki.gnome.org/OutreachProgramForWomen/2014/MayAugust/InfoForWFSPlanet

In T717#1409576, @NiharikaKohli wrote:

Off topic question: @Qgil, in my experience students tend to stay involved for long with the same organization if they have the chance of participating again in the same organization. Although I like our policy about not accepting repeats, it does lead to more students wandering off to other organizations after the internship ends.

[ off-point ]
/me is a victim of this one, but got into the program at the end :P. I'm liking it though :)
[/off-point]

In T717#1410967, @Mvolz wrote:

I'm wondering if maybe some students think they've met this requirement, or actually have already and it's not been recorded in the checklist?
I've not been checked off the list here, but I did both a wrap up report and a wrap up blog post at the time of the internship so I've largely thought this post did not apply to me, until I noticed my name wasn't checked off today.

Thanks for pointing this out, @Mvolz. As far as I can tell, all GSoC students were made to write separate final reports and asked to add them to the initial interns table. It seems the same wasn't communicated to the OPW interns. I've added all the projects to the past reports page and will be updating it shortly.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 9:08 AM
Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 1 2015, 12:31 PM
Qgil added a comment.Sep 15 2015, 11:02 PM

I propose to resolve this task in whatever status it is by the end of this month.

I agree. I made an attempt to dig up the final reports/blogposts for our OPW interns some time ago and added my findings to that page. I don't think there's a point pursuing this further.

Niharika updated the task description. (Show Details)Sep 16 2015, 9:43 AM
Niharika closed this task as Resolved.Sep 25 2015, 9:20 AM

Not all interns published their wrap-up reports. The lesson learnt here is that we should not officially "Pass" a project until wrap-up reports are complete and have been looked over by the mentors.